﻿ 
-- Name: Deploy_Oracle_WOM_PLSQL.sql
-- Purpose : PL/SQL script to execute all Advanced Mobile EAM scripts
-- Notes :
--   1) this will be run from sqlplus
--   2) the path will include the directory
--   3) the file names will be case sensitive
--   4) you can spool from the script or create individual spool files for each sql statement (we recommend you spool to help debug if problems)
--   5) do not include an exit at end of each file
--   6) spaces are not allowed in the file name
--   7) make sure to include an forward slash '/' at the end of each pl/sql block (triggers, procedures, etc)
--   8) include a commit where necessary and at the end if performing DML
--   9) it is useful to include 'show errors' after the creation of pl/sql blocks

--
spool Deploy_Oracle_WOM_PLSQL.out
--

PROMPT >> running CustomGrids/AUW040.sql
@CustomGrids/AUW040.sql 'EN'

PROMPT >> running CustomGrids/AUW041.sql
@CustomGrids/AUW041.sql 'EN'

PROMPT >> running CustomGrids/AUW042.sql
@CustomGrids/AUW042.sql 'EN'

PROMPT >> running CustomGrids/AUW045.sql
@CustomGrids/AUW045.sql 'EN'

PROMPT >> running CustomGrids/AUW046.sql
@CustomGrids/AUW046.sql 'EN'

PROMPT >> running CustomGrids/AUW047.sql
@CustomGrids/AUW047.sql 'EN'

PROMPT >> running CustomGrids/AUW048.sql
@CustomGrids/AUW048.sql 'EN'

PROMPT >> running CustomGrids/AUW049.sql
@CustomGrids/AUW049.sql 'EN'

PROMPT >> running CustomGrids/BUDEPT.sql
@CustomGrids/BUDEPT.sql 'EN'

PROMPT >> running CustomGrids/BUMOST.sql
@CustomGrids/BUMOST.sql 'EN'

PROMPT >> running CustomGrids/BUUDPT.sql
@CustomGrids/BUUDPT.sql 'EN'

PROMPT >> running CustomGrids/MUDELE.sql
@CustomGrids/MUDELE.sql 'EN'

PROMPT >> running CustomGrids/OUBINS.sql
@CustomGrids/OUBINS.sql 'EN'

PROMPT >> running CustomGrids/OUGISL.sql
@CustomGrids/OUGISL.sql 'EN'

PROMPT >> running CustomGrids/OUMETR.sql
@CustomGrids/OUMETR.sql 'EN'

PROMPT >> running CustomGrids/OUOBJE.sql
@CustomGrids/OUOBJE.sql 'EN'

PROMPT >> running CustomGrids/OUPART.sql
@CustomGrids/OUPART.sql 'EN'

PROMPT >> running CustomGrids/OUREAD.sql
@CustomGrids/OUREAD.sql 'EN'

PROMPT >> running CustomGrids/OUUFVA.sql
@CustomGrids/OUUFVA.sql 'EN'

PROMPT >> running CustomGrids/SUSTOR.sql
@CustomGrids/SUSTOR.sql 'EN'

PROMPT >> running CustomGrids/WUACCO.sql
@CustomGrids/WUACCO.sql 'EN'

PROMPT >> running CustomGrids/WUACTJ.sql
@CustomGrids/WUACTJ.sql 'EN'

PROMPT >> running CustomGrids/WUAUTH.sql
@CustomGrids/WUAUTH.sql 'EN'

PROMPT >> running CustomGrids/WUBOOK.sql
@CustomGrids/WUBOOK.sql 'EN'

PROMPT >> running CustomGrids/WUCAUS.sql
@CustomGrids/WUCAUS.sql 'EN'

PROMPT >> running CustomGrids/WUCFAS.sql
@CustomGrids/WUCFAS.sql 'EN'

PROMPT >> running CustomGrids/WUCOM4.sql
@CustomGrids/WUCOM4.sql 'EN'

PROMPT >> running CustomGrids/WUCOMA.sql
@CustomGrids/WUCOMA.sql 'EN'

PROMPT >> running CustomGrids/WUCOMM.sql
@CustomGrids/WUCOMM.sql 'EN'

PROMPT >> running CustomGrids/WUCOMT.sql
@CustomGrids/WUCOMT.sql 'EN'

PROMPT >> running CustomGrids/WUDFLT.sql
@CustomGrids/WUDFLT.sql 'EN'

PROMPT >> running CustomGrids/WUDOCW.sql
@CustomGrids/WUDOCW.sql 'EN'

PROMPT >> running CustomGrids/WUDSPY.sql
@CustomGrids/WUDSPY.sql 'EN'

PROMPT >> running CustomGrids/WUEMPS.sql
@CustomGrids/WUEMPS.sql 'EN'

PROMPT >> running CustomGrids/WUEPOS.sql
@CustomGrids/WUEPOS.sql 'EN'

PROMPT >> running CustomGrids/WUERCD.sql
@CustomGrids/WUERCD.sql 'EN'

PROMPT >> running CustomGrids/WUFAIL.sql
@CustomGrids/WUFAIL.sql 'EN'

PROMPT >> running CustomGrids/WUJOBS.sql
@CustomGrids/WUJOBS.sql 'EN'

PROMPT >> running CustomGrids/WUOCCU.sql
@CustomGrids/WUOCCU.sql 'EN'

PROMPT >> running CustomGrids/WUPART.sql
@CustomGrids/WUPART.sql 'EN'

PROMPT >> running CustomGrids/WUPRVA.sql
@CustomGrids/WUPRVA.sql 'EN'

PROMPT >> running CustomGrids/WURECO.sql
@CustomGrids/WURECO.sql 'EN'

PROMPT >> running CustomGrids/WUSCHD.sql
@CustomGrids/WUSCHD.sql 'EN'

PROMPT >> running CustomGrids/WUSIGT.sql
@CustomGrids/WUSIGT.sql 'EN'

PROMPT >> running CustomGrids/WUSTWO.sql
@CustomGrids/WUSTWO.sql 'EN'

PROMPT >> running CustomGrids/WUTASK.sql
@CustomGrids/WUTASK.sql 'EN'

PROMPT >> running CustomGrids/WUUDLV.sql
@CustomGrids/WUUDLV.sql 'EN'

PROMPT >> running CustomGrids/WUUFVA.sql
@CustomGrids/WUUFVA.sql 'EN'

PROMPT >> running CustomGrids/WUWOCL.sql
@CustomGrids/WUWOCL.sql 'EN'

PROMPT >> running CustomGrids/WUWOTY.sql
@CustomGrids/WUWOTY.sql 'EN'

PROMPT >> running CustomDataspies/LVMATLPART.sql
@CustomDataspies/LVMATLPART.sql 'EN'


PROMPT >> running CustomGrids/WUCHKL.sql
@CustomGrids/WUCHKL.sql 'EN'

--
spool off